Package org.elasticsearch.xpack.sql.jdbc

# Class EsDriver

java.lang.Object
org.elasticsearch.xpack.sql.jdbc.EsDriver

All Implemented Interfaces:
  `java.sql.Driver`

    public class EsDriver
    extends java.lang.Object
    implements java.sql.Driver

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`EsDriver()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `acceptsURL​(java.lang.String url)` |
`java.sql.Connection` | `connect​(java.lang.String url, java.util.Properties props)` |
`static void` | `deregister()` |
`int` | `getMajorVersion()` |
`int` | `getMinorVersion()` |
`java.util.logging.Logger` | `getParentLogger()` |
`java.sql.DriverPropertyInfo[]` | `getPropertyInfo​(java.lang.String url, java.util.Properties info)` |
`boolean` | `jdbcCompliant()` |
`static EsDriver` | `register()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EsDriver

public EsDriver()

## Method Details

### register

public static EsDriver register() throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### deregister

public static void deregister() throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

### connect

public java.sql.Connection connect​(java.lang.String url, java.util.Properties props) throws java.sql.SQLException

Specified by:
  `connect` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

### acceptsURL

public boolean acceptsURL​(java.lang.String url) throws java.sql.SQLException

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

### getPropertyInfo

public java.sql.DriverPropertyInfo[] getPropertyInfo​(java.lang.String url, java.util.Properties info) throws java.sql.SQLException

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLException`

### getMajorVersion

public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`

### getMinorVersion

public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`

### jdbcCompliant

public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`

### getParentLogger

public java.util.logging.Logger getParentLogger() throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLFeatureNotSupportedException`